安装apache libtool时找不到错误

我正在安装apache步骤如下

echo deb http://ports.ubuntu.com/ubuntu-ports生动受限的主要多元宇宙>> /etc/apt/sources.list

apt-get install -y git
openssl
颠覆
autoconf
libtool
libapr
libapr-util
制作
libpcre3-dev
libpcre -dev
libxml2-dev
libexpat1-dev
蟒蛇

git clone https://github.com/apache/httpd.git

cd httpd

svn co http://svn.apache.org/repos/asf/apr/apr/trunk srclib / apr && cd srclib / apr && ./buildconf&& ./build libtool && make && make install

./buildconf给出错误如下
./buildconf即可
发现apr来源:srclib / apr
重建srclib / apr / configure
buildconf:检查安装......
buildconf:python版本2.7.9(ok)
buildconf:autoconf版本2.69(ok)
buildconf:找不到libtool .
您需要安装libtool 1.4或更高版本
从SVN构建APR .
./buildconf因apr而失败

在上面,因为我已经安装了libtool . 但是没有找到libttol . 当我说apt-get install -y libtool我得到消息时
#apt-get install -y libtoo
apt-get install -y libtool
阅读包裹清单......完成
构建依赖树
阅读国家信息......完成
libtool已经是最新版本了 .
0升级,0新安装,0删除,26未升级 .
W:重复的sources.list条目http://ports.ubuntu.com/ubuntu-ports/生动/受限ppc64el包(/var/lib/apt/lists/ports.ubuntu.com_ubuntu-ports_dists_vivid_restricted_binary-ppc64el_Packages)
W:重复的sources.list条目http://ports.ubuntu.com/ubuntu-ports/ vivid / main ppc64el包(/var/lib/apt/lists/ports.ubuntu.com_ubuntu-ports_dists_vivid_main_binary-ppc64el_Packages)
W:您可能希望运行apt-get update来纠正这些问题

但是当我尝试命令时,我得到了$ libtool
bash:libtool:找不到命令
$ man libtool
bash:man:找不到命令
$ libttol --help
bash:libttol:找不到命令
$ libtool --version
bash:libtool:找不到命令

回答(1)

3 years ago

In Ubuntu vivid/usr/bin/libtoollibtool-bin 包提供,而不是由 libtool 包提供 . 安装 libtool-bin

apt-get update
apt-get install -y libtool-bin